# Class AllWiseTableBuilder.NoCount

java.lang.Object
uk.ac.starlink.ttools.example.AllWiseTableBuilder
uk.ac.starlink.ttools.example.AllWiseTableBuilder.NoCount

All Implemented Interfaces:
  `uk.ac.starlink.table.TableBuilder`

Enclosing class:
  `AllWiseTableBuilder`

public static class AllWiseTableBuilder.NoCount extends AllWiseTableBuilder
Input handler which reads AllWise ASCII files and does not count the rows first. Suitable for conversions to most non-FITS formats.

Since:
  6 Feb 2014
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class AllWiseTableBuilder

`AllWiseTableBuilder.Count, AllWiseTableBuilder.NoCount`

## Constructor Summary

Constructors
Constructor
Description
`NoCount()`
No-arg constructor.

## Method Summary

### Methods inherited from class AllWiseTableBuilder

`canImport, countLines, getFormatName, looksLikeFile, makeStarTable, streamStarTable`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoCount

public NoCount()
No-arg constructor.